Subject: Re: bug#37689: Fringe pixmaps, widgets, etc. look ridiculously tiny in hidpi screen

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Oct 2019 18:15:09 +0300

> From: Carlos Pita <[email-masked]>
> Date: Mon, 14 Oct 2019 12:06:45 -0300
> Cc: Alan Third <[email-masked]>, Robert Pluim <[email-masked]>, [email-masked]
> 
> Above I've been mostly talking about two things: i. fringe bitmaps and
> ii. widgets (checkbox-like stuff).

What you call "widgets" are images.  Fringes are also images, but
their format is fixed: they are always bitmaps.

> i. This won't fix any other hidpi issues.
> ii. This might introduce regressions in backends that I'm unable to
> test (windows, macos) because they might be doing the scaling
> themselves.
> 
> Therefore I believe a more nuanced understanding of how emacs is
> approaching the matter, if there is any strategy at all, is in order.

I think we covered all that, what is left is coding.  Right?